CTR_Mode< CIPHER > Struct Template Reference

CTR mode. More...

`#include <modes.h>`

Inheritance diagram for CTR_Mode< CIPHER >:

## Public Types

typedef CipherModeFinalTemplate_CipherHolder< typename CIPHER::Encryption, ConcretePolicyHolder< Empty, AdditiveCipherTemplate< AbstractPolicyHolder< AdditiveCipherAbstractPolicy, CTR_ModePolicy > > > > | Encryption
typedef Encryption | Decryption

## Detailed Description

### template<class CIPHER>
struct CTR_Mode< CIPHER >

CTR mode.

Definition at line 347 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h